function gadget:GetInfo()
	return {
		name = "World Builder (Automated)",
		desc = "Automated World Builder Logic, Created with Level Editor Daemon.",
		author = "Argh",
		date = "September 1st, 2008",
		license = "GPL, v.2, 2008",
		layer = 1,
		enabled = true,
	}
end


local u
local CreateUnit = Spring.CreateUnit
local GetGaiaTeamID = Spring.GetGaiaTeamID
local GiveOrderToUnit = Spring.GiveOrderToUnit
local AddBuildOrders = Spring.AddBuildOrders
local CreateFeature = Spring.CreateFeature


function GameStart()
u = CreateUnit("deciduous_two006",1880,400,488,0,GetGaiaTeamID())
u = CreateUnit("deciduous_two006",1960,400,360,0,GetGaiaTeamID())
u = CreateUnit("deciduous_two006",1960,400,152,0,GetGaiaTeamID())
u = CreateUnit("deciduous_two006",1960,400,56,0,GetGaiaTeamID())
u = CreateUnit("deciduous_two006",2152,400,168,0,GetGaiaTeamID())
u = CreateUnit("deciduous_two006",2264,400,344,0,GetGaiaTeamID())
u = CreateUnit("deciduous_two006",2136,400,472,0,GetGaiaTeamID())
u = CreateUnit("deciduous_two006",1832,400,2536,0,GetGaiaTeamID())
u = CreateUnit("deciduous_two006",1960,400,2392,0,GetGaiaTeamID())
u = CreateUnit("deciduous_two006",1848,400,2216,0,GetGaiaTeamID())
u = CreateUnit("deciduous_two006",1944,400,2216,0,GetGaiaTeamID())
u = CreateUnit("deciduous_two006",2136,400,1912,0,GetGaiaTeamID())
u = CreateUnit("deciduous_two006",2136,400,2024,0,GetGaiaTeamID())
u = CreateUnit("deciduous_two005",2120,400,1720,0,GetGaiaTeamID())
u = CreateUnit("deciduous_two006",1960,400,1720,0,GetGaiaTeamID())
u = CreateUnit("deciduous_two004",1832,400,2008,0,GetGaiaTeamID())
u = CreateUnit("deciduous_two004",1880,400,1992,0,GetGaiaTeamID())
u = CreateUnit("deciduous_two003",1816,400,1944,0,GetGaiaTeamID())
u = CreateUnit("deciduous_two006",2152,400,3928,0,GetGaiaTeamID())
u = CreateUnit("deciduous_two006",1960,400,3752,0,GetGaiaTeamID())
u = CreateUnit("deciduous_two004",1960,400,3944,0,GetGaiaTeamID())
u = CreateUnit("palmforest007",2904,400,2712,0,GetGaiaTeamID())
u = CreateUnit("palmforest007",2840,400,2776,0,GetGaiaTeamID())
u = CreateUnit("palmforest007",2776,400,2856,0,GetGaiaTeamID())
u = CreateUnit("palmforest007",2712,400,2920,0,GetGaiaTeamID())
u = CreateUnit("palmforest007",2680,400,3032,0,GetGaiaTeamID())
u = CreateUnit("palmforest008",3032,400,2696,0,GetGaiaTeamID())
u = CreateUnit("palmforest008",2952,400,2712,0,GetGaiaTeamID())
u = CreateUnit("palmforest008",2856,400,2744,0,GetGaiaTeamID())
u = CreateUnit("palmforest008",2808,400,2824,0,GetGaiaTeamID())
u = CreateUnit("palmforest008",2744,400,2888,0,GetGaiaTeamID())
u = CreateUnit("palmforest008",2712,400,2968,0,GetGaiaTeamID())
u = CreateUnit("palmforest006",3000,400,2712,0,GetGaiaTeamID())
u = CreateUnit("palmforest006",2888,400,2744,0,GetGaiaTeamID())
u = CreateUnit("palmforest006",2856,400,2824,0,GetGaiaTeamID())
u = CreateUnit("palmforest006",2808,400,2872,0,GetGaiaTeamID())
u = CreateUnit("palmforest006",2712,400,3016,0,GetGaiaTeamID())
u = CreateUnit("palmforest006",1368,400,1080,0,GetGaiaTeamID())
u = CreateUnit("palmforest006",1384,400,1128,0,GetGaiaTeamID())
u = CreateUnit("palmforest006",1400,400,1176,0,GetGaiaTeamID())
u = CreateUnit("palmforest008",1272,400,1336,0,GetGaiaTeamID())
u = CreateUnit("palmforest008",1304,400,1288,0,GetGaiaTeamID())
u = CreateUnit("palmforest008",1288,400,1240,0,GetGaiaTeamID())
u = CreateUnit("palmforest006",1320,400,1208,0,GetGaiaTeamID())
u = CreateUnit("palmforest006",1256,400,1240,0,GetGaiaTeamID())
u = CreateUnit("palmforest006",1240,400,1304,0,GetGaiaTeamID())
u = CreateUnit("palmforest006",1224,400,1352,0,GetGaiaTeamID())
u = CreateUnit("palmforest006",1160,400,1368,0,GetGaiaTeamID())
u = CreateUnit("palmforest007",1112,400,1384,0,GetGaiaTeamID())
u = CreateUnit("palmforest008",1064,400,1368,0,GetGaiaTeamID())
u = CreateUnit("solarcollector_two",64,400,1472,0,GetGaiaTeamID())
u = CreateUnit("solarcollector_two",4032,400,3008,0,GetGaiaTeamID())
u = CreateUnit("solarcollector_two",4032,400,2816,0,GetGaiaTeamID())
u = CreateUnit("solarcollector_two",4032,400,2624,0,GetGaiaTeamID())
u = CreateUnit("solarcollector_two",3648,400,2944,0,GetGaiaTeamID())
u = CreateUnit("solarcollector_two",3648,400,2688,0,GetGaiaTeamID())
u = CreateUnit("solarcollector_two",448,400,1152,0,GetGaiaTeamID())
u = CreateUnit("solarcollector_two",448,400,1408,0,GetGaiaTeamID())
u = CreateUnit("solarcollector_two",64,400,1248,0,GetGaiaTeamID())
u = CreateUnit("solarcollector_two",64,400,1088,0,GetGaiaTeamID())
u = CreateUnit("solarcollector",464,400,2992,0,GetGaiaTeamID())
u = CreateUnit("solarcollector",464,400,2864,0,GetGaiaTeamID())
u = CreateUnit("solarcollector",464,400,2736,0,GetGaiaTeamID())
u = CreateUnit("solarcollector",464,400,2608,0,GetGaiaTeamID())
u = CreateUnit("solarcollector",48,400,2640,0,GetGaiaTeamID())
u = CreateUnit("solarcollector",48,400,2768,0,GetGaiaTeamID())
u = CreateUnit("solarcollector",48,400,2896,0,GetGaiaTeamID())
u = CreateUnit("solarcollector",48,400,3024,0,GetGaiaTeamID())
u = CreateUnit("solarcollector",4048,400,1104,0,GetGaiaTeamID())
u = CreateUnit("solarcollector",4048,400,1232,0,GetGaiaTeamID())
u = CreateUnit("solarcollector",4048,400,1360,0,GetGaiaTeamID())
u = CreateUnit("solarcollector",4048,400,1488,0,GetGaiaTeamID())
u = CreateUnit("solarcollector",3632,400,1456,0,GetGaiaTeamID())
u = CreateUnit("solarcollector",3632,400,1328,0,GetGaiaTeamID())
u = CreateUnit("solarcollector",3632,400,1200,0,GetGaiaTeamID())
u = CreateUnit("solarcollector",3632,400,1072,0,GetGaiaTeamID())
u = CreateUnit("apartments1",1888,400,96,0,GetGaiaTeamID())
u = CreateUnit("bubblebuilding",2208,400,416,0,GetGaiaTeamID())
u = CreateUnit("apartments2",2208,400,96,0,GetGaiaTeamID())
u = CreateUnit("apartments2",1888,400,416,2,GetGaiaTeamID())
u = CreateUnit("bubblebuilding",2208,400,4000,2,GetGaiaTeamID())
u = CreateUnit("apartments3",2208,400,3680,2,GetGaiaTeamID())
u = CreateUnit("apartments2",1888,400,4000,2,GetGaiaTeamID())
u = CreateUnit("apartments1",1888,400,3680,2,GetGaiaTeamID())
u = CreateUnit("deciduous_two004",2712,400,2008,2,GetGaiaTeamID())
u = CreateUnit("deciduous_two004",2728,400,1944,2,GetGaiaTeamID())
u = CreateUnit("deciduous_two004",2856,400,1912,2,GetGaiaTeamID())
u = CreateUnit("deciduous_two004",2760,400,1592,2,GetGaiaTeamID())
u = CreateUnit("deciduous_two004",2888,400,1704,2,GetGaiaTeamID())
u = CreateUnit("deciduous_two004",2936,400,1768,2,GetGaiaTeamID())
u = CreateUnit("deciduous_two005",2728,400,1672,2,GetGaiaTeamID())
u = CreateUnit("deciduous_two005",2856,400,1592,2,GetGaiaTeamID())
u = CreateUnit("deciduous_two005",3000,400,1624,2,GetGaiaTeamID())
u = CreateUnit("deciduous_two005",2984,400,1704,2,GetGaiaTeamID())
u = CreateUnit("deciduous_two005",3000,400,1912,2,GetGaiaTeamID())
u = CreateUnit("deciduous_two005",2936,400,1880,2,GetGaiaTeamID())
u = CreateUnit("deciduous_two005",2920,400,1880,2,GetGaiaTeamID())
u = CreateUnit("deciduous_two005",2776,400,1976,2,GetGaiaTeamID())
u = CreateUnit("deciduous_two003",2920,400,1960,2,GetGaiaTeamID())
u = CreateUnit("deciduous_two003",3000,400,2008,2,GetGaiaTeamID())
u = CreateUnit("deciduous_two003",3000,400,1768,2,GetGaiaTeamID())
u = CreateUnit("deciduous_two003",2920,400,1624,2,GetGaiaTeamID())
u = CreateUnit("deciduous_two003",2648,400,1624,2,GetGaiaTeamID())
u = CreateUnit("deciduous_two003",2824,400,1672,2,GetGaiaTeamID())
u = CreateUnit("deciduous_two003",2680,400,1752,2,GetGaiaTeamID())
u = CreateUnit("deciduous_two003",2776,400,1848,2,GetGaiaTeamID())
u = CreateUnit("deciduous_two003",2632,400,1896,2,GetGaiaTeamID())
u = CreateUnit("deciduous_two003",2632,400,1976,2,GetGaiaTeamID())
u = CreateUnit("rock011",2624,400,1584,2,GetGaiaTeamID())
u = CreateUnit("rock011",2672,400,1680,2,GetGaiaTeamID())
u = CreateUnit("rock011",2640,400,1808,2,GetGaiaTeamID())
u = CreateUnit("rock011",2720,400,1984,2,GetGaiaTeamID())
u = CreateUnit("rock012",2864,400,2000,2,GetGaiaTeamID())
u = CreateUnit("rock012",2960,400,1856,2,GetGaiaTeamID())
u = CreateUnit("rock012",2800,400,1584,2,GetGaiaTeamID())
u = CreateUnit("rock012",2736,400,1600,2,GetGaiaTeamID())
u = CreateUnit("rock07",2800,400,1696,2,GetGaiaTeamID())
u = CreateUnit("rock07",2736,400,1552,2,GetGaiaTeamID())
u = CreateUnit("rock07",2960,400,1680,2,GetGaiaTeamID())
u = CreateUnit("rock07",2784,400,1920,2,GetGaiaTeamID())
u = CreateUnit("rock07",3008,400,1968,2,GetGaiaTeamID())
u = CreateUnit("rock011",1504,400,2496,2,GetGaiaTeamID())
u = CreateUnit("rock011",1312,400,2352,2,GetGaiaTeamID())
u = CreateUnit("rock011",1392,400,2512,2,GetGaiaTeamID())
u = CreateUnit("rock08",1072,400,2512,2,GetGaiaTeamID())
u = CreateUnit("rock08",1056,400,2384,2,GetGaiaTeamID())
u = CreateUnit("rock07",1152,400,2096,2,GetGaiaTeamID())
u = CreateUnit("rock07",1232,400,2320,2,GetGaiaTeamID())
u = CreateUnit("rock010",1312,400,2224,2,GetGaiaTeamID())
u = CreateUnit("rock010",1504,400,2352,2,GetGaiaTeamID())
u = CreateUnit("deciduous_two004",1448,400,2520,2,GetGaiaTeamID())
u = CreateUnit("deciduous_two001",1464,400,2184,2,GetGaiaTeamID())
u = CreateUnit("deciduous_two001",1400,400,2216,2,GetGaiaTeamID())
u = CreateUnit("deciduous_two003",1112,400,2248,2,GetGaiaTeamID())
u = CreateUnit("deciduous_two003",1144,400,2456,2,GetGaiaTeamID())
u = CreateUnit("deciduous_two005",1240,400,2504,2,GetGaiaTeamID())
u = CreateUnit("deciduous_two005",1128,400,2520,2,GetGaiaTeamID())
u = CreateUnit("deciduous_two006",1320,400,2488,2,GetGaiaTeamID())
u = CreateUnit("deciduous_two006",1432,400,2088,2,GetGaiaTeamID())
u = CreateUnit("deciduous_two006",1320,400,2104,2,GetGaiaTeamID())
u = CreateUnit("deciduous_two005",1368,400,2088,2,GetGaiaTeamID())
u = CreateUnit("deciduous_two005",1240,400,2104,2,GetGaiaTeamID())
u = CreateUnit("deciduous_two005",1080,400,2088,2,GetGaiaTeamID())
u = CreateUnit("deciduous_two005",1208,400,2264,2,GetGaiaTeamID())
u = CreateUnit("deciduous_two004",1080,400,2440,2,GetGaiaTeamID())
u = CreateUnit("deciduous_two004",1080,400,2296,2,GetGaiaTeamID())
u = CreateUnit("deciduous_two004",1480,400,2104,2,GetGaiaTeamID())
u = CreateUnit("deciduous_two004",1480,400,2440,2,GetGaiaTeamID())
u = CreateUnit("deciduous_two004",1352,400,2408,2,GetGaiaTeamID())
u = CreateUnit("deciduous_two006",1400,400,2440,2,GetGaiaTeamID())
u = CreateUnit("deciduous_two006",1288,400,2296,2,GetGaiaTeamID())
u = CreateUnit("deciduous_two006",1192,400,2152,2,GetGaiaTeamID())
u = CreateUnit("deciduous_two003",1128,400,2344,2,GetGaiaTeamID())
u = CreateUnit("deciduous_two003",1384,400,2136,2,GetGaiaTeamID())
u = CreateUnit("deciduous_two003",1288,400,2152,2,GetGaiaTeamID())
u = CreateUnit("deciduous_two003",1400,400,2312,2,GetGaiaTeamID())
u = CreateUnit("deciduous_two003",1240,400,2408,2,GetGaiaTeamID())
u = CreateUnit("deciduous_two003",1112,400,2168,2,GetGaiaTeamID())
u = CreateUnit("stripmall",1856,400,1888,2,GetGaiaTeamID())
u = CreateUnit("stripmall",1952,400,1968,1,GetGaiaTeamID())
u = CreateUnit("govbuilding",2208,400,2144,0,GetGaiaTeamID())
u = CreateUnit("apartments2",1888,400,2464,0,GetGaiaTeamID())
u = CreateUnit("apartments2",2208,400,1632,2,GetGaiaTeamID())
u = CreateUnit("bubblebuilding",2208,400,1952,1,GetGaiaTeamID())
u = CreateUnit("bubblebuilding",1888,400,2144,1,GetGaiaTeamID())
u = CreateUnit("apartments3",2208,400,2464,1,GetGaiaTeamID())
u = CreateUnit("apartments3",1888,400,1632,1,GetGaiaTeamID())
u = CreateUnit("skyscraper2",1264,400,4000,1,GetGaiaTeamID())
u = CreateUnit("skyscraper4",1280,400,3680,1,GetGaiaTeamID())
u = CreateUnit("skyscraper5",2816,400,4000,1,GetGaiaTeamID())
u = CreateUnit("skyscraper3",2832,400,3680,1,GetGaiaTeamID())
u = CreateUnit("skyscraper4",2816,400,96,1,GetGaiaTeamID())
u = CreateUnit("skyscraper2",2816,400,416,1,GetGaiaTeamID())
u = CreateUnit("skyscraper1",1280,400,96,1,GetGaiaTeamID())
u = CreateUnit("skyscraper6",1280,400,416,1,GetGaiaTeamID())
u = CreateUnit("skyscraper5",1120,400,1280,1,GetGaiaTeamID())
u = CreateUnit("skyscraper3",1280,400,1120,1,GetGaiaTeamID())
u = CreateUnit("robocar_blue",2672,400,2872,1,GetGaiaTeamID())
u = CreateUnit("skyscraper4",2976,400,2832,1,GetGaiaTeamID())
u = CreateUnit("skyscraper5",2816,400,2976,1,GetGaiaTeamID())
u = CreateUnit("skyscraper7",2656,400,2656,1,GetGaiaTeamID())
u = CreateUnit("skyscraper7",1440,400,1440,1,GetGaiaTeamID())
u = CreateUnit("skyplatform01",1280,400,2304,1,GetGaiaTeamID())
u = CreateUnit("skyplatform01",2816,400,1792,1,GetGaiaTeamID())
u = CreateUnit("bridge05",1664,400,2304,1,GetGaiaTeamID())
u = CreateUnit("bridge05",2432,400,1792,1,GetGaiaTeamID())
u = CreateUnit("skyplatform03",2816,400,2816,1,GetGaiaTeamID())
u = CreateUnit("bridge03",3328,400,2592,1,GetGaiaTeamID())
u = CreateUnit("bridge03",3328,400,3040,1,GetGaiaTeamID())
u = CreateUnit("bridge03",3040,400,3328,2,GetGaiaTeamID())
u = CreateUnit("bridge03",2592,400,3328,2,GetGaiaTeamID())
u = CreateUnit("bridge02",2048,400,2816,2,GetGaiaTeamID())
u = CreateUnit("bridge02",2048,400,3328,2,GetGaiaTeamID())
u = CreateUnit("bridge04",2432,400,3840,3,GetGaiaTeamID())
u = CreateUnit("bridge04",1664,400,3840,3,GetGaiaTeamID())
u = CreateUnit("skyplatform02",2048,400,3840,0,GetGaiaTeamID())
u = CreateUnit("skyplatform02",2048,400,2304,0,GetGaiaTeamID())
u = CreateUnit("skyplatform02",2048,400,1792,2,GetGaiaTeamID())
u = CreateUnit("bridge02",2048,400,1280,2,GetGaiaTeamID())
u = CreateUnit("bridge02",2048,400,768,2,GetGaiaTeamID())
u = CreateUnit("bridge04",2432,400,256,3,GetGaiaTeamID())
u = CreateUnit("skyplatform02",2048,400,256,3,GetGaiaTeamID())
u = CreateUnit("bridge04",1664,400,256,3,GetGaiaTeamID())
u = CreateUnit("skyplatform01",256,400,256,0,GetGaiaTeamID())
u = CreateUnit("skyplatform01",256,400,3840,0,GetGaiaTeamID())
u = CreateUnit("skyplatform01",3840,400,3840,0,GetGaiaTeamID())
u = CreateUnit("skyplatform01",3840,400,256,0,GetGaiaTeamID())
u = CreateUnit("bridge01",768,400,256,3,GetGaiaTeamID())
u = CreateUnit("bridge01",256,400,768,2,GetGaiaTeamID())
u = CreateUnit("bridge01",3328,400,256,1,GetGaiaTeamID())
u = CreateUnit("skyplatform03",2816,400,256,1,GetGaiaTeamID())
u = CreateUnit("bridge01",3840,400,768,0,GetGaiaTeamID())
u = CreateUnit("bridge02",3840,400,1792,0,GetGaiaTeamID())
u = CreateUnit("bridge02",3840,400,2304,0,GetGaiaTeamID())
u = CreateUnit("bridge01",3840,400,3328,0,GetGaiaTeamID())
u = CreateUnit("bridge01",3328,400,3840,3,GetGaiaTeamID())
u = CreateUnit("bridge01",768,400,3840,3,GetGaiaTeamID())
u = CreateUnit("bridge01",256,400,3328,2,GetGaiaTeamID())
u = CreateUnit("bridge02",256,400,2304,2,GetGaiaTeamID())
u = CreateUnit("bridge02",256,400,1792,2,GetGaiaTeamID())
u = CreateUnit("skyplatform03",256,400,1280,2,GetGaiaTeamID())
u = CreateUnit("skyplatform03",256,400,2816,2,GetGaiaTeamID())
u = CreateUnit("skyplatform03",1280,400,3840,2,GetGaiaTeamID())
u = CreateUnit("skyplatform03",2816,400,3840,2,GetGaiaTeamID())
u = CreateUnit("skyplatform03",3840,400,2816,2,GetGaiaTeamID())
u = CreateUnit("skyplatform03",3840,400,1280,2,GetGaiaTeamID())
u = CreateUnit("bridge03",768,400,1056,1,GetGaiaTeamID())
u = CreateUnit("bridge03",768,400,1504,1,GetGaiaTeamID())
u = CreateUnit("skyplatform03",1280,400,256,0,GetGaiaTeamID())
u = CreateUnit("bridge03",1056,400,768,0,GetGaiaTeamID())
u = CreateUnit("bridge03",1504,400,768,0,GetGaiaTeamID())
u = CreateUnit("skyplatform03",1280,400,1280,0,GetGaiaTeamID())
gadgetHandler.RemoveGadget("World _Builder (Automated)")
end
